Script:LoadScript("scripts/materials/commoneffects.lua");
Materials["mat_heart"] = {
	type="heart",
-------------------------------------	
	PhysicsSounds=PhysicsSoundsTable.Soft,
-------------------------------------
	bullet_hit = {
		sounds = {
			{"Sounds/bullethits/pbullet1.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/pbullet2.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/pbullet3.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/pbullet4.wav",SOUND_UNSCALABLE,220,10,80},
			
		},

		decal = { 
			gore = 1,	-- to be able to switch off gore -- to know what's allowed		
			texture = System:LoadTexture("Languages/Textures/Decal/hole_blood_head.dds",0,1),
			scale = 0.15,
		},

		
		particleEffects = {
			gore = 1,	-- to be able to switch off gore -- to know what's allowed
			name = "bullet.hit_flesh.a",
		},

	},

	pancor_bullet_hit = {
		sounds = {
			{"Sounds/bullethits/headbullet1.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/headbullet2.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/headbullet3.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/headbullet11.wav",SOUND_UNSCALABLE,220,10,80},
			--{"Sounds/explosions/explosion2.wav",SOUND_UNSCALABLE,200,10,80},
				},
		decal = { 
			gore = 1,	-- to be able to switch off gore -- to know what's allowed		
			texture = System:LoadTexture("Languages/Textures/Decal/hole_blood_head.dds",0,1),
			scale = 0.15,
		},
		particleEffects = {
			gore = 1,	-- to be able to switch off gore -- to know what's allowed
			name = "bullet.hit_flesh_pancor.a",
					},
	},

	
		-------------------------
	melee_punch = {
		sounds = {
			{"sounds/objectimpact/hit1.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit2.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit3.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit4.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit5.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit6.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit7.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit8.wav",SOUND_UNSCALABLE,255,5,30},
			
		},
	},
	melee_slash = {
		sounds = {
			{"sounds/objectimpact/Mslash1.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash2.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash3.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash4.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash5.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash6.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash7.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash8.wav",SOUND_UNSCALABLE,255,5,30},
		},

--eingefgt von Niall <Schnittwunden-Mod v0.1>anfang

		decal = { 
			gore = 1,	-- to be able to switch off gore -- to know what's allowed		
			texture = System:LoadTexture("Languages/Textures/Decal/flesh_slash.dds",0,1),
			scale = 0.15,
		},

--eingefgt von Niall <Schnittwunden-Mod v0.1>ende
		
		particleEffects = {
			gore = 1,	-- to be able to switch off gore -- to know what's allowed
			name = "bullet.hit_flesh.a",
		},

	},

	projectile_hit = CommonEffects.common_projectile_hit,
	mortar_hit = CommonEffects.common_mortar_hit,
	smokegrenade_hit = CommonEffects.common_smokegrenade_hit,
	flashgrenade_hit = CommonEffects.common_flashgrenade_hit,
	grenade_hit = CommonEffects.common_grenade_hit,
-------------------------------------
	gameplay_physic = {
		piercing_resistence = 15,
		friction = 0.4,
		bouncyness= -2, -- default 0
	},
	AI = {
		fImpactRadius = 5,
	},

			
}